*****************
*   Main data   *
*****************

use "data/hsiao.dta", clear 
merge 1:1 k using "data/census.dta", assert(match) nogen 

loc J 1
replace edu_0 = edu_0 + edu_1 + edu_2 + edu_3
replace edu_1 = edu_4

forvalues j = 0/`J' {
	gen n_`j' = edu_`j' * pop
	replace n_`j' = 0 if n_`j' < 10
	egen N_`j' = total(n_`j')
	gen lnpi_`j' = log(n_`j' / N_`j')
}

gen lnp = log(price)
rename flood f
rename rugged z
drop price edu_* pop 
order k* lat lng elev N* ln* z f dist*

compress _all
save "data/data.dta", replace
export delimited "data/data.csv", replace 

********************
*   SUSENAS data   *
********************

use "data/census.dta", clear 
reshape long edu_, i(k edu_pop) j(edu)
rename edu_pop N
gen n = N * edu_ 
collapse (sum) n N, by(edu)
gen perc_census = n / N * 100
drop n N
tempfile census 
save `census'

use "data/susenas.dta", clear
collapse wage (count) n = wage, by(edu)
egen N = total(n)
gen perc = n / N * 100
drop n N 
merge 1:1 edu using `census', assert(match) nogen

export delimited "paper/table1.csv", replace
