******************
*   Estimation   *
******************

use "data/data.dta", clear

* differencing

foreach var of varlist lnpi_* lnp z f dist_* {
	replace `var' = `var' - `var'[_N]
} 
drop if _n == _N

* stacking

drop lat lng N_*
reshape long lnpi_, i(k* lnp z f dist_* elev) j(j)
rename lnpi_ lnpi
order j k* lnpi
sort j k 
sum j 
loc J = `r(max)'
forvalues j = 0/`J' {
	gen lnp_`j' = lnp * (j == `j')
	gen z_`j' = z * (j == `j')
}

* settings

loc reg "f dist_* elev i.kab i.j, r cluster(kec)"
loc tab "replace plain csv cells("b(fmt(%16.12g)) se(fmt(%16.12g))")"

* ols

reg lnpi lnp_*  `reg'
test lnp_0 = lnp_`J'

esttab using "paper/table2_ols.csv", `tab' ///
	addn("lnp0 == lnp`J': `r(p)'" "F-stat: .")

* iv

ivreg2 lnpi (lnp_* = z_*) `reg' first
test lnp_0 = lnp_`J'

esttab using "paper/table2_iv.csv", `tab' ///
	addn("lnp0 == lnp`J': `r(p)'" "F-stat: `e(rkf)'")
